#include <bpkgdb/create.h>

#include <stdio.h>
#include <string.h>

int argc;
char** argv;
char* config_file = NULL;
char* output;

void bpkgdb_help(FILE* std){
	fprintf(std, "Usage: %s <operator> [options]\n\n", argv[0]);
	fprintf(std, "Operator:\n");
	fprintf(std, "%25s | %s    Shows this help.\n", "help", "hl");
	fprintf(std, "%25s | %s    Creates the database.\n", "create <file>", "cr");
}

int main(int _argc, char** _argv){
	printf("\x1b[0m");
	fflush(stdout);
	argc = _argc;
	argv = _argv;
	int i;
	if(argv[1] != NULL){
		if(strcmp(argv[1], "help") == 0 || strcmp(argv[1], "hl") == 0){
			bpkgdb_help(stdout);
			return 0;
		}else if(strcmp(argv[1], "create") == 0 || strcmp(argv[1], "cr") == 0){
			config_file = argv[2];
			if(argv[2] != NULL) output = argv[3] == NULL ? "repo.tar.gz" : argv[3];
			int exit_code = bpkgdb_create();
			return exit_code;
		}else{
			fprintf(stderr, "%s: unknown operator\n", argv[0]);
			bpkgdb_help(stderr);
			return 1;
		}
	}else{
		fprintf(stderr, "%s: operator is needed\n", argv[0]);
		bpkgdb_help(stderr);
		return 1;
	}
	return 0;
}
